import { MenuIcon } from '@medly-components/icons';
import { breakpoints, media } from '@medly-components/utils';
import styled from 'styled-components';

export const Container = styled.header`
    display: flex;
    align-items: center;
    background: ${({ theme }) => theme.header.backgroundColor};
    height: ${({ theme }) => theme.header.height.mobile};
    position: relative;

    ${({ theme }) => media(breakpoints(theme.breakpoints).up('M'))`
        height: ${theme.header.height.desktop};
    `}
`;

export const Content = styled.div`
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
    max-width: ${({ theme }) => theme.header.maxContentWidth};
    color: ${({ theme }) => theme.header.fontColor};
    padding: 0 1.6rem;

    ${({ theme }) => media(breakpoints(theme.breakpoints).up('M'))`
        padding: 0 3.2rem;
    `}
`;

export const HamburgerIcon = styled(MenuIcon)`
    ${({ theme }) => media(breakpoints(theme.breakpoints).up('L'))`
        display: none;
    `}
`;
